# Odoocker 

Odoo local environment boilerplate with Docker/Podman, for development purpose

## Setup

Create enterprise directory (Enterprise&Odoo versions must match) - or delete it from compose and odoo.conf files

```shell
ln -s /path/to/you/enterprise/modules enterprise
```

Create an .env file in the project directory root to set up environment variables :

```file:./.env
ODOO_VERSION=18.0
COMMAND=-d odoo
```

## Start 

`docker-compose up -d`

With the basic setup, it will create a new database `odoo` (master password `odoo`), with base&enterprise installed and demo data.

You can use the COMMAND var to custom the command at launch :

```shell
 COMMAND="-d odoo -i mymodule" docker-compose up -d
```

## Links (localhost)

Odoo at (http://localhost:8089/web)[https://localhost:8089/web]
Odoo database manager at (http://localhost:8089/web)[https://localhost:8089/web/database/manager]

Mailcatcher at (http://localhost:1080/)[http://localhost:1080/]
